## libapache-auth-radius-1.0.tar.gz

=== Makefile ===
#
# Makefile	Makefile for mod_auth_radius.
#		Needs GNU make, sorry about that.
#
# Version:	$Id: Makefile,v 1.5 2001/02/20 12:46:50 miquels Exp $
#

PKG	= libapache-auth-radius-1.0

CC	= $(shell apxs -q CC)
FLAGS	= $(shell apxs -q CFLAGS)
INC	= $(shell apxs -q INCLUDEDIR)
CFLAGS	= $(FLAGS) -I$(INC) -fPIC

LD	= $(shell apxs -q LD_SHLIB)
LDFLAGS = $(shell apxs -q LDFLAGS_SHLIB)
LIBS	= $(shell apxs -q LIBS_SHLIB)

mod_auth_radius.so: radius.o auth.o
	$(LD) $(LDFLAGS) -o mod_auth_radius.so radius.o auth.o $(LIBS)

radius.o: radius.c

auth.o: auth.c

clean:
	rm -f *.o *.a *.so

release:
	rm -rf tmp
	rm -f ../$(PKG).tar.gz
	mkdir tmp
	mkdir tmp/$(PKG)
	tar cf - . | ( cd tmp/$(PKG) && tar xpf - )
	( cd tmp/$PKG; \
	  find tmp/ -name CVS -o -name tmp -o -name '.??*' | xargs rm -rf )
	( cd tmp && tar cvf ../../$(PKG).tar $(PKG) )
	gzip ../$(PKG).tar
	rm -rf tmp

install:	mod_auth_radius.so
	apxs -n radius_auth -i mod_auth_radius.so

=== debian/changelog ===
libapache-auth-radius (1.0-2) cistron; urgency=low

  * Compile .so -fPIC.
  * Use './' for dpkg-shlipdeps so it works on potato systems as well.
  * Added build dependency on 'apache-dev'.
  * Removed implicit build dependency on 'apache' and work from the
    'apach-dev' version.
  * Use "set -e" for shell.
  * Removed bashism.
  * Include section (now "web") and priority info in package.

 -- J.H.M. Dassen (Ray) <jdassen@cistron.nl>  Wed, 14 Feb 2001 14:00:01 +0100

libapache-auth-radius (1.0-1) cistron; urgency=low

  * Initial version.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed,  7 Feb 2001 21:10:45 +0100

=== debian/control ===
Source: libapache-auth-radius
Section: web
Priority: optional
Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
Build-Depends: apache-dev
Standards-Version: 3.0.0

Package: libapache-auth-radius
Architecture: any
Depends: ${shlibs:Depends}, ${apache:Depends}
Description: Radius authentication module for Apache.
 This Apache module provides Radius authentication. Unlike other
 radius authentication modules, this one actually supports groups.

=== debian/rules ===
#! /usr/bin/make -f
#
# debian/rules	We all know Debian rules.
#

SHELL	= /bin/bash -e
PATH	:= $(PATH):/usr/bin/ssl

# Name.
pkg	= libapache-auth-radius
tmp	= $(shell pwd)/debian/tmp

define checkdir
	test -f radius.c
endef

# Builds the binary package.
build:
	$(checkdir)
	make
	touch build

# Architecture independant files.
binary-indep:   build checkroot

# Make a binary package (.deb file)
binary-arch:    build checkroot
	-rm -rf $(tmp)
	#
	#	libapache-auth-radius
	#
	install -d -g root -m 755 -o root $(tmp)
	install -d -g root -m 755 -o root $(tmp)/DEBIAN
	install -d -g root -m 755 -o root $(tmp)/usr
	install -d -g root -m 755 -o root $(tmp)/usr/doc
	install -d -g root -m 755 -o root $(tmp)/usr/share
	install -d -g root -m 755 -o root $(tmp)/usr/share/doc
	install -d -g root -m 755 -o root $(tmp)/usr/share/doc/$(pkg)
	install -d -g root -m 755 -o root $(tmp)/usr/lib/apache
	install -d -g root -m 755 -o root $(tmp)/usr/lib/apache/1.3
	# Docs
	install -g root -m 644 debian/changelog \
		$(tmp)/usr/share/doc/$(pkg)/changelog.Debian
	install -g root -m 644 ChangeLog $(tmp)/usr/share/doc/$(pkg)/changelog
	install -g root -m 644 README $(tmp)/usr/share/doc/$(pkg)/README
	gzip -9f $(tmp)/usr/share/doc/$(pkg)/*
	#
	install -g root -m 644 debian/copyright $(tmp)/usr/share/doc/$(pkg)
	cat LICENSE >> $(tmp)/usr/share/doc/$(pkg)/copyright
	#
	# Libs/Binaries
	install -g root -m 644 -s mod_auth_radius.so \
		$(tmp)/usr/lib/apache/1.3
	install -g root -m 644 debian/225mod_auth_radius.info \
		$(tmp)/usr/lib/apache/1.3
	# Debian
	install -g root -m 755 debian/postinst $(tmp)/DEBIAN/postinst
	install -g root -m 755 debian/prerm $(tmp)/DEBIAN/prerm
	install -g root -m 755 debian/postrm $(tmp)/DEBIAN/postrm
	dpkg-shlibdeps ./mod_auth_radius.so
	perl debian/apachedeps >> debian/substvars
	dpkg-gencontrol -isp -p$(pkg) -P$(tmp)
	dpkg --build $(tmp) ..

clean:	checkroot
	make clean
	rm -f build debian/files debian/substvars
	rm -rf $(tmp)

binary: binary-arch binary-indep

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
